NAME
OpenAPI::Client::OpenAI::Path::audio-voice_consents - Documentation for the /audio/voice_consents path.
OPERATIONS
GET /audio/voice_consents
listVoiceConsents
$client->list_voice_consents({
body => { ... },
});
Returns a list of voice consent recordings.
List consent recordings available to your organization for creating custom voices.
See the custom voices guide . Custom voices are limited to eligible customers.
Path/query parameters
after(in query, optional, string) - A cursor for use in pagination.afteris an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.limit(in query, optional, integer) - A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.Default: 20
Responses
200 - OK
Content-Type: application/json
Example:
{
"data" : [
{
"created_at" : 1734220800,
"id" : "cons_1234",
"language" : "en-US",
"name" : "John Doe",
"object" : "audio.voice_consent"
}
],
"first_id" : "cons_1234",
"has_more" : false,
"last_id" : "cons_1234",
"object" : "list"
}
POST /audio/voice_consents
createVoiceConsent
$client->create_voice_consent({
body => { ... },
});
Upload a voice consent recording.
Upload a consent recording that authorizes creation of a custom voice.
See the custom voices guide for requirements and best practices. Custom voices are limited to eligible customers.
Responses
200 - OK
Content-Type: application/json
Example:
{
"created_at" : 1734220800,
"id" : "cons_1234",
"language" : "en-US",
"name" : "John Doe",
"object" : "audio.voice_consent"
}
SCHEMAS
CreateVoiceConsentRequest
Properties:
language(string, required) - The BCP 47 language tag for the consent phrase (for example,en-US).name(string, required) - The label to use for this consent recording.recording(string, required) - The consent audio recording file. Maximum size is 10 MiB.Supported MIME types:
audio/mpeg,audio/wav,audio/x-wav,audio/ogg,audio/aac,audio/flac,audio/webm,audio/mp4.
VoiceConsentListResource
Properties:
data(array of VoiceConsentResource, required)first_id(anyOf)has_more(boolean, required)last_id(anyOf)object(string, required)Allowed values: list
VoiceConsentResource
Properties:
created_at(integer, required) - The Unix timestamp (in seconds) for when the consent recording was created.id(string, required) - The consent recording identifier.language(string, required) - The BCP 47 language tag for the consent phrase (for example,en-US).name(string, required) - The label provided when the consent recording was uploaded.object(string, required) - The object type, which is alwaysaudio.voice_consent.Allowed values: audio.voice_consent
SEE ALSO
COPYRIGHT AND LICENSE
Copyright (C) 2023-2026 by Nelson Ferraz
This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.